#include <stdlib.h>

#ifndef __SCCI_MEM_H__
#define __SCCI_MEM_H__

#define scci_malloc(chunksize) malloc(chunksize)
#define scci_realloc(buff, chunksize) realloc(buff, chunksize)
#define scci_calloc(elements, chunksize) calloc(elements, chunksize)
#define scci_free(chunk) free(chunk)
#define scci_safe_free(it) if (it) { scci_free(it); it = NULL; }


#endif

